## Struct synchronized_feeding

boost::log::sinks::synchronized_feeding

## Synopsis

    // In header: <boost/log/sinks/frontend_requirements.hpp>

    struct synchronized_feeding {
    };

## Description

The sink backend expects pre-synchronized calls, all needed synchronization is implemented in the frontend (IOW, only one thread is feeding records to the backend concurrently, but it is possible for several threads to write sequentially). Note that if a frontend supports synchronized record feeding, it will also report capable of concurrent record feeding.